 require 'json'
 require 'restclient'

 module Obutts
  class Client
  	DOMAIN = "http://api.obutts.ru"

  	def butts(start = 0, count = 1, order = 'id')
  	  get "/butts/#{start}/#{count}/#{order}"
  	end

  	def by_id(id)
  		get "/butts/get/#{id}"
  	end

  	def count
  	  get "/butts/count"
  	end

  	private

  	def get(path)
  		::JSON.parse RestClient.get("#{DOMAIN}#{path}").body
  	end

  end
end